> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiaccountsauthenticate

> Auth0 Authentication



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json post /api/accounts/authenticate
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/accounts/authenticate:
    post:
      tags:
        - accounts
      description: Auth0 Authentication
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: false
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: false
          schema:
            type: string
        - name: skipAccountLinking
          in: query
          required: true
          schema:
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                language:
                  type: string
                  enum:
                    - en
                    - de
                    - fr
                    - it
              required:
                - language
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - new_account
                          account:
                            $ref: '#/components/schemas/ManagementAccount_Account'
                        required:
                          - type
                          - account
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - existing_account
                          account:
                            $ref: '#/components/schemas/ManagementAccount_Account'
                        required:
                          - type
                          - account
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - link_account
                          account:
                            nullable: true
                        required:
                          - type
                          - account
                required:
                  - data
components:
  schemas:
    ManagementAccount_Account:
      type: object
      properties:
        id:
          type: number
        email:
          type: string
        type:
          type: string
          enum:
            - ADMIN
            - AUTH0
            - GOOGLE
            - FACEBOOK
            - GITHUB
            - APPLE
            - MICROSOFT
            - LEGACY
            - GUEST
            - EMAIL
        language:
          type: string
          enum:
            - en
            - de
            - fr
            - it
        deletedAt:
          type: string
          format: date-time
          nullable: true
        scheduledForDeletionAfter:
          type: string
          format: date-time
          nullable: true
        company:
          type: string
          nullable: true
        metaInformation:
          type: object
          properties:
            acceptedNewsletter:
              type: boolean
            syncErrorWrite:
              type: string
              nullable: true
            syncErrorRead:
              type: string
              nullable: true
            importedData:
              type: object
              properties:
                importedFrom:
                  type: string
              required:
                - importedFrom
          required:
            - acceptedNewsletter
      required:
        - id
        - email
        - type
        - language
        - deletedAt
        - scheduledForDeletionAfter
        - company
        - metaInformation

````